from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSheetFilterDescriptor2(XInterface, Protocol):
    def getFilterFields2(self) -> list[TableFilterField2]: ...
    def setFilterFields2(self, aFilterFields: sequence< TableFilterField2 >) -> None: ...
